
Redmine - Defect #9350

Password reset for newly registered users not working

2011-09-29 14:39 - meinhard benn

Status: Closed Start date: 2011-09-29

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 1.1.2

Description

Reproduce:

1. Make sure users need to be activated by admin after signup (I don't have the config setting handy, sorry)

2. Register new user

3. Click "Lost password" at sign in and fill in email

4. Click on link in email and enter new password

5. Try logging in with new password, this won't work

This is not a defect I think, yet it would help if the user gets a warning like "Your account is not activated yet", if one tries to reset the

password on a newly registered account.

We are on v1.1.2, if this has been fixed in the meantime, please simply close this ticket.

Related issues:

Related to Redmine - Feature #14228: Registered users should have a way to ge... Closed

History

#1 - 2020-08-23 06:19 - Go MAEDA

- Category changed from Permissions and roles to Accounts / authentication

- Status changed from New to Closed

- Resolution set to Fixed

Fixed by #14228 (Redmine 2.4.0).

After the change, Redmine displays a notice "Your account was created and is now pending administrator approval." when a pending user attempts to

get a password recovery email.

#2 - 2020-08-23 06:22 - Go MAEDA

- Related to Feature #14228: Registered users should have a way to get a new action email added
